Get Verification Status
curl --request GET \
--url https://app.closerx.ai/api/verification-status/ \
--header 'Company-Name: <company-name>' \
--header 'api_key: <api-key>'import requests
url = "https://app.closerx.ai/api/verification-status/"
headers = {
"Company-Name": "<company-name>",
"api_key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Company-Name': '<company-name>', api_key: '<api-key>'}
};
fetch('https://app.closerx.ai/api/verification-status/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"phone_number": "+919999008776",
"validation_code": "838171",
"twilio_sid": null,
"is_verified": false,
"created_at": "2025-08-26T09:22:32.928114Z",
"friendly_name": null
}{
"success": true,
"message": "<string>",
"data": {}
}Phone Number
Verification Status
Retrieves the verification status for a specific phone number based on Twilio caller ID validation.
GET
/
verification-status
/
Get Verification Status
Authorizations
Headers
Schema name for multi-tenancy
Query Parameters
The phone number to check verification status for (URL encoded)
Example:
"+919999728776"
Response
Verification status retrieved successfully
The phone number being verified
Example:
"+919999008776"
The Twilio validation code sent to verify the phone number
Example:
"838171"
Twilio SID associated with the phone number if available
Example:
null
Indicates whether the phone number is verified
Example:
false
Timestamp of when the verification process started
Example:
"2025-08-26T09:22:32.928114Z"
A user-defined name for the phone number
Example:
null
